import {
  SET_GENEALOGY_SPONSOR_DOWNLINE_LISTING,
  SET_GENEALOGY_SPONSOR_NETWORK_TREE,
  SET_GENEALOGY_MEMBER_LIST,
  SET_GENEALOGY_PLACEMENT_NETWORK_PERFORMANCE,
  SET_GENEALOGY_MEMBER_TREE,
  SET_GENEALOGY_MEMBER_SEARCH_TREE,
  SET_GENEALOGY_ERROR_MESSAGE,
} from '../../utils/types'

export default {
  [SET_GENEALOGY_ERROR_MESSAGE](state, data) {
    state.genealogyErrorMsg = data
  },
  [SET_GENEALOGY_SPONSOR_DOWNLINE_LISTING](state, data) {
    state.genealogySponsorDownlineListing = data
  },
  [SET_GENEALOGY_SPONSOR_NETWORK_TREE](state, data) {
    state.genealogySponsorNetworkTree = data
  },
  [SET_GENEALOGY_MEMBER_LIST](state, data) {
    state.genealogyMemberList = data
  },
  [SET_GENEALOGY_PLACEMENT_NETWORK_PERFORMANCE](state, data) {
    state.genealogyPlacementNetworkPerformance = data
  },
  [SET_GENEALOGY_MEMBER_TREE](state, data) {
    state.memberTreeGenealogy = data
  },
  [SET_GENEALOGY_MEMBER_SEARCH_TREE](state, data) {
    state.searchMemberGenealogy = data
  },
}
